
D4Science Infrastructure - Support #9725

Cannot find plugins for TwitterMonitor SmartExecutor

Sep 20, 2017 04:44 PM - Salvatore Minutoli

Status: Closed Start date: Sep 20, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Infrastructure: Production   

Description

I'm trying to test the TwitterMonitor application. In the infrastructure monitor, under the scope gCubeApps/SoBigData.it I can see the

node twittermon1.d4science.org but in its description I don't see any SmartExecutor plugins.

Related issues:

Related to D4Science Infrastructure - Task #8911: Deploy SmartExecutor plugin... Closed Jun 12, 2017

History

#1 - Sep 20, 2017 05:05 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Luca Frosini

#2 - Sep 21, 2017 02:41 PM - Luca Frosini

- Status changed from New to In Progress

I'm going to investigate it

#3 - Sep 21, 2017 03:25 PM - Luca Frosini

- Assignee changed from Luca Frosini to _InfraScience Systems Engineer

The smart-executor is installed but I don't find the plugin. See #8911

#4 - Sep 21, 2017 03:26 PM - Luca Frosini

Monitoring shows twittermon1-p-d4s.d4science.org:80 not twittermon1.d4science.org as indicated in #8911

#5 - Sep 21, 2017 03:27 PM - Luca Frosini

- Related to Task #8911: Deploy SmartExecutor plugins for TwitterMonitor added

#6 - Sep 21, 2017 03:42 PM - Andrea Dell'Amico

The correct VM is twittermon1.d4science.org, and the plugins are there:

ls -la /home/gcube/tomcat/webapps/smart-executor/WEB-INF/lib/ | grep TwMon

-rw-r--r-- 1 gcube gcube 30912246 Jun 28 18:01 TwMonCrawlerPlugin-0.0.1-SNAPSHOT-jar-with-dependencies.jar

-rw-r--r-- 1 gcube gcube 22125615 Jun 28 18:01 TwMonCronPlugin-0.0.1-SNAPSHOT-jar-with-dependencies.jar

 I see that two different tickets were opened, apparently to cover the same activity: #7181 and #7466. The VM twittermon1-p-d4s.d4science.org was

created to satisfy the first request. I guess it can be destroyed. The provisioned VM  is twittermon1.d4science.org

#7 - Sep 21, 2017 03:47 PM - Luca Frosini

Does the twittermon1.d4science.org VM is installed with smart-executor and the requested plugin as indicate in #8911

I cannot see it from monitor nor I have ssh access.

#8 - Sep 21, 2017 03:49 PM - Luca Frosini

Andrea Dell'Amico wrote:

The correct VM is twittermon1.d4science.org, and the plugins are there:

ls -la /home/gcube/tomcat/webapps/smart-executor/WEB-INF/lib/ | grep TwMon

-rw-r--r-- 1 gcube gcube 30912246 Jun 28 18:01 TwMonCrawlerPlugin-0.0.1-SNAPSHOT-jar-with-dependencies.jar

-rw-r--r-- 1 gcube gcube 22125615 Jun 28 18:01 TwMonCronPlugin-0.0.1-SNAPSHOT-jar-with-dependencies.jar
Sorry I didnt' read this part.

Can you please try to restart it?

Yes the twittermon1-p-d4s.d4science.org can be destroyed

#9 - Sep 21, 2017 04:00 PM - Andrea Dell'Amico

Luca Frosini wrote:

Sorry I didnt' read this part.

Can you please try to restart it?

 Done. You also have ssh access now.

Yes the twittermon1-p-d4s.d4science.org can be destroyed

 I shut it down.

#10 - Oct 06, 2017 06:38 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
